%define		own	asterisk
%define		grp	asterisk
%define		sown	root
%define		sgrp	root
%define		rawname	userman

Name:		freepbx-%{rawname}
Version:	16.0.44.20
Release:	1%{?dist}
Summary:	User Management

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz

Requires:	freepbx >= 15.0.6.18
Requires:	freepbx-core >= 13.0.84

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
This Module manages all PBX users. It allows an Administrator to create a User Account that can be used by other applications for login or API purposes.

%prep
%setup -q -n %{rawname}

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin bin sbin etc astetc images sounds moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -depth -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%preun
find %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache -mindepth 1 -maxdepth 1 -exec rm -rf '{}' ';'

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}
%dir %attr(0755,%{own},%{grp}) %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache

%changelog
* Tue May 13 2025 Luigi Iotti <asterisk@iotti.biz> - 16.0.44.20
- Updated version

* Wed Mar 05 2025 Luigi Iotti <asterisk@iotti.biz> - 16.0.44.19
- Updated version

* Thu Jan 16 2025 Luigi Iotti <asterisk@iotti.biz> - 16.0.44.17
- Updated version

* Wed Dec 18 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.44.14
- Updated version

* Thu Oct 17 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.44.13
- Updated version

* Thu Jun 13 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.44.12
- Updated version

* Mon Dec 04 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.44.6
- Updated version

* Wed Jul 26 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.44
- Updated version

* Tue Jul 18 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.43
- Updated version

* Fri Jun 23 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.44
- Updated version

* Thu Jun 08 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.43
- Updated version

* Sat May 13 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.42
- Updated version

* Wed May 03 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.40
- Updated version

* Sat Mar 18 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.39
- Updated version

* Thu Feb 09 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.38
- Updated version

* Sat Sep 17 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.35.5
- Updated version

* Tue Aug 09 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.35.4
- Updated version

* Mon Jun 06 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.34
- Updated version

* Mon May 02 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.28
- Updated version

* Tue Apr 05 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.27
- Updated version

* Thu Jan 20 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.25.31
- Initial build
